package com.steerinfo.dil.feign;

import com.steerinfo.framework.controller.RESTfulResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * @author luobang
 * @create 2021-09-17 14:13
 */
@FeignClient(value = "DAL-DAZHOU-WMS-DEV",url = "192.168.1.241:8081")
public interface WMSFeign {
    @RequestMapping(value = "/api/v1/wms/inboundResult/getWmsInboundResult",method = RequestMethod.POST)
    RESTfulResult getWmsInboundResult(@RequestBody(required = false) Map<String, Object> mapValue,
                                      @RequestParam Integer apiId,
                                      @RequestParam Integer pageNum,
                                      @RequestParam Integer pageSize);


}
